Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class Region

    java.lang.Object
      com.amazonaws.services.ec2.model.Region

    public class Region

extends Object

Represents an Amazon EC2 region. EC2 regions are completely isolated from each other.

Constructor Summary
`Region()`

Method Summary
`String` | `getEndpoint()` Region service endpoint.
`String` | `getRegionName()` Name of the region.
`void` | `setEndpoint(String endpoint)` Region service endpoint.
`void` | `setRegionName(String regionName)` Name of the region.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Region` | `withEndpoint(String endpoint)` Region service endpoint.
`Region` | `withRegionName(String regionName)` Name of the region.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Region

    public Region()

Method Detail

### getRegionName

    public String getRegionName()

  Name of the region.

  Returns:
    Name of the region.

### setRegionName

    public void setRegionName(String regionName)

  Name of the region.

  Parameters:
    `regionName` - Name of the region.

### withRegionName

    public Region withRegionName(String regionName)

  Name of the region.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `regionName` - Name of the region.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getEndpoint

    public String getEndpoint()

  Region service endpoint.

  Returns:
    Region service endpoint.

### setEndpoint

    public void setEndpoint(String endpoint)

  Region service endpoint.

  Parameters:
    `endpoint` - Region service endpoint.

### withEndpoint

    public Region withEndpoint(String endpoint)

  Region service endpoint.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `endpoint` - Region service endpoint.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.